import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;


public class RadioButtons extends JPanel implements ActionListener
{
	private static final long serialVersionUID = 1L;

	public RadioButtons()
	{
       super(new BorderLayout());
	  JRadioButton redButton = new JRadioButton("RED");
	  redButton.setToolTipText("Zmien kolor na RED");
	  redButton.setActionCommand("RED");
	  redButton.setSelected(true);

	    JRadioButton blackButton = new JRadioButton("BLACK");
	    blackButton.setToolTipText("Zmien kolor na CZARNY");
	    blackButton.setActionCommand("BLACK");

	    JRadioButton greenButton = new JRadioButton("GREEN");
	    greenButton.setToolTipText("Zmien kolor na ZIELONY");
	    greenButton.setActionCommand("GREEN");

	    ButtonGroup group = new ButtonGroup();
	    group.add(redButton);
	    group.add(blackButton);
	    group.add(greenButton);

	    redButton.addActionListener(this);
	    blackButton.addActionListener(this);
	    greenButton.addActionListener(this);

	    JPanel tmp = new JPanel(new GridLayout(4,1));
	    tmp.setSize(100, 100);
	    tmp.add(new JLabel("Kolor:"));
	    tmp.add(redButton);
	    tmp.add(blackButton);
	    tmp.add(greenButton);
	    this.setSize(100,100);
	    this.add(tmp);
    }

	@Override
	public void actionPerformed(ActionEvent e) {
		String command = e.getActionCommand();
		if(command.equals("RED"))
		{
			Paint.poleDoMalowania.setColor(Color.RED);
		}
		else if(command.equals("BLACK"))
		{
			Paint.poleDoMalowania.setColor(Color.BLACK);
		}
		else if(command.equals("GREEN"))
		{
			Paint.poleDoMalowania.setColor(Color.GREEN);
		}
	}
}
